Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84972 - nautilus will crash if the smb share you are browsing dissapears. (for example if the server shuts down)
Summary: nautilus will crash if the smb share you are browsing dissapears. (for exampl...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nautilus
Version: 9
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 15:40 UTC by Bill Peck
Modified: 2015-01-08 00:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-04 13:10:09 UTC


Attachments (Terms of Use)

Description Bill Peck 2003-02-24 15:40:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:

While I was browsing a smb share through nautilus the server was shutdown.  as
soon as I tried to open a folder under that share or even just click the back
button it caused nautilus to crash.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Browse to a smb volume (either samba or windows)
2. shut down or stop the smb services.
3. now click into a folder or reload the current window in nautilus
    

Actual Results:  nautilus crashes

Expected Results:  nautilus should not crash but perhaps put up an alert stating
the volume is not accessible anymore.

Additional info:

Red Hat Linux release 8.0.94 (Phoebe)

Comment 1 Alexander Larsson 2004-10-04 13:10:09 UTC
Seems to work in rawhide.


Note You need to log in before you can comment on or make changes to this bug.